%define name      openbox
%define version   3.1
%define release   2mdk
%define title     Openbox
%define Summary   Windowmanager based on the original blackbox-code

%define major 1
%define libname %mklibname %name %major
%define _Xbindir %_prefix/X11R6/bin

Summary:          %Summary
Name:             %name
Version:          %version
Release:          %release
Group:            Graphical desktop/Other
License:          BSD
URL:              http://www.icculus.org/openbox/
Source:           %name-%version.tar.bz2
Source2:          openbox-startopenbox.bz2

Buildrequires:   XFree86-devel
Buildrequires:   glib2-devel
BuildRequires:   libxml2-devel

BuildRoot:        %_tmppath/%name-%{version}


%description
Openbox is a window manager for the X11 windowing system.
It currently runs on a large list of platforms. It was originally
based on blackbox and currently remains very similar, even using
blackbox styles (with available extensions) for its themeing.

Openbox is the spawn of a number of previous blackbox users/hackers.
Being overall pleased with the window manager, but feeling left unable
to contribute, this project was born.The Openbox project is developed,
maintained, and contributed to by these individuals.

%package -n %libname
Summary: Libraries from openbox
Group: System/Libraries
Provides: lib%name = %version-%release

%description -n %libname
Openbox is a window manager for the X11 windowing system.
It currently runs on a large list of platforms. It was originally
based on blackbox and currently remains very similar, even using
blackbox styles (with available extensions) for its themeing.

Openbox is the spawn of a number of previous blackbox users/hackers.
Being overall pleased with the window manager, but feeling left unable
to contribute, this project was born.The Openbox project is developed,
maintained, and contributed to by these individuals.

%package -n %libname-devel
Summary: Development files from openbox
Group: Development/Other
Requires: %libname = %version-%release
Provides: lib%name-devel = %version-%release
Provides: %name-devel = %version-%release

%description -n %libname-devel
Openbox is a window manager for the X11 windowing system.
It currently runs on a large list of platforms. It was originally
based on blackbox and currently remains very similar, even using
blackbox styles (with available extensions) for its themeing.

Openbox is the spawn of a number of previous blackbox users/hackers.
Being overall pleased with the window manager, but feeling left unable
to contribute, this project was born.The Openbox project is developed,
maintained, and contributed to by these individuals.

%prep
%setup -q

%build
%define __libtoolize /bin/true

%configure2_5x --bindir=%_Xbindir \
                --enable-kde \
                --enable-xinerama

%make DEFAULT_MENU=%_sysconfdir/xdg/openbox/menu.xml


%install
%__rm -rf %buildroot

%makeinstall_std

# session file
%__mkdir -p %buildroot%_sysconfdir/X11/wmsession.d
%__cat > %buildroot%_sysconfdir/X11/wmsession.d/25openbox << EOF
NAME=Openbox
ICON=%_datadir/pixmaps/openbox.png
EXEC=%_Xbindir/startopenbox
DESC=%Summary
SCRIPT:
exec %_Xbindir/startopenbox
EOF

# menu
install -m 755 -d %buildroot%{_menudir}
#gw this doesn't work yet, first write a menu method
#cat << EOF >> %buildroot%{_menudir}/%{name}
#?package(%{name}): needs=openbox section="Session/Windowmanagers" title="openbox" command="%_Xbindir/openbox"
#?package(%{name}): needs=openbox section="Session/Windowmanagers" title="Exit" command="exit"
#?package(%{name}): needs=openbox section="Session/Windowmanagers" title="Reconfigure" command="reconfig"
#?package(%{name}): needs=openbox section="Session/Windowmanagers" title="Reload Menus" command="%_bindir/update-menus"
#?package(%{name}): needs=openbox section="Session/Windowmanagers" title="Restart" command="restart"
#?package(%{name}): needs=openbox section="Setting/Styles" title="%_datadir/%name/styles" command="stylesdir"
#?package(%{name}): needs=openbox section="Setting/Styles" title="~/.openbox/styles" command="stylesdir"
#?package(%{name}): needs=openbox section="Setting" title="Workspaces" command="workspaces"
#?package(%{name}): needs=openbox section="Setting" title="Configuration" command="config"
#EOF

%__mkdir -p %buildroot%_Xbindir
bzcat %SOURCE2 > %buildroot%_Xbindir/start%name


%find_lang %name

%post
#{update_menus}
%make_session

%postun
#clean_menus
%make_session

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
%__rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS CHANGELOG README TODO
%attr(755,root,root) %_Xbindir/*

#%config(noreplace) %_sysconfdir/menu-methods/%name
%config(noreplace) %_sysconfdir/X11/wmsession.d/25%name

%dir %_sysconfdir/xdg/%name
%config(noreplace) %_sysconfdir/xdg/%name/*

#%_menudir/%name

%_datadir/%name
%_datadir/gnome/wm-properties/*
%_datadir/pixmaps/*
%_datadir/themes/*

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/pkgconfig/*.pc
%_libdir/*.so
%_libdir/*.la
%_libdir/*.a
%_includedir/%name

%changelog
* Mon Jan  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 3.1-2mdk
- fix buildrequires
- remove broken menu script
- fix description
- fix startopenbox script
- move files around

* Wed Dec 24 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.1-1mdk
- 3.1
 
* Wed Mar 8 2003 illogic-al <jokerman64@netzero.net> 2.2.3-1mdk
- First build for Mandrake Linux 9.1

